Add Business Location Access

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Lightspeed Restaurant K-Series MCP server": {
  "url": "https://api-docs.lsk.lightspeed.app/mcp"
}
Close
POST /staff/v1/business/{businessId}/assignStaff/{staffId}

Path parameters

  • businessId integer(int64) Required

    The unique identifier for the business.

  • staffId integer(int64) Required

    The unique identifier for the user.

application/json

Body Required

  • businessLocationIds array[integer(int64)]

    List of all businessLocationIds to be added.

Responses

  • 200 application/json

    User business location access added successfully.

    Hide response attribute Show response attribute object
    • businessLocationIds array[integer(int64)]

      List of all businessLocationIds to be added.

  • 400

    Bad request. Invalid input parameters.

  • 401

    Authentication failed.

  • 403

    Access Denied.

  • 500

    Internal Server Error.

POST /staff/v1/business/{businessId}/assignStaff/{staffId}
curl \
 --request POST 'https://api.trial.lsk.lightspeed.app/staff/v1/business/{businessId}/assignStaff/{staffId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"businessLocationIds":[123456789,987654321]}'
Request examples
{
  "businessLocationIds": [
    123456789,
    987654321
  ]
}
Response examples (200)
{
  "businessLocationIds": [
    123456789,
    987654321
  ]
}